document.getElementById('search_button').addEventListener('click', function () {
    var search = document.getElementById('search_input').value;
    var xhr = new XMLHttpRequest();
    xhr.open('POST', 'http://localhost:3000/get_vehicle', true);
    xhr.setRequestHeader('Content-Type', 'application/json');
    xhr.onreadystatechange = function () {
        if (xhr.readyState === 4 && xhr.status === 200) {
            if (xhr.responseText) {
                var response = JSON.parse(xhr.responseText);
                if (response.length > 0) {
                    var id = response[0].id;
                    window.location.href = 'vehicle.html?id=' + id;
                } else {
                    if (search.match(/^[A-Z]{2}-[0-9]{3}-[A-Z]{2}$/)) {
                        window.location.href = 'add_vehicle.html?plate=' + search;
                    }
                    else {
                        window.location.href = 'add_vehicle.html';
                    }
                }
            } else {
                alert("Une erreur est survenue en tentant de récupérer les données.");
                console.error('error:', xhr.responseText);
            }
        }
    };
    xhr.send(JSON.stringify({
        search: search
    }));
});